Skip to main content
PATCH
Partially update the custom data

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

customDataId
integer<int64>
required

The ID of the custom data object

Query Parameters

optionalFields
string[]

Body

application/json
adobeAnalyticsVariableName
string

Variable name of the Adobe Analytics

advancedProposedValues
string

Enables to set values for targeting conditions in the form of a JS table

customEvalCode
string

Custom code that runs

description
string
gtmVariableName
string

Variable name of the Google Tag Manager

isConstant
boolean

Indicates whether the custom data is a constant

isFiltrableVentilable
boolean

Indicates whether Kameleoon should filter custom data and mark it as available for breakdown

isLocalOnly
boolean

Indicates whether Kameleoon stores the data only on the user’s device.

learnable
boolean

Indicates whether Kameleoon machine learning should include this data

method
enum<string>

Method for transmitting a custom data

Available options:
ADOBE_ANALYTICS,
CLIENT,
CUSTOM_CODE,
GTM,
SDK,
TC,
TEALIUM
name
string

Name of the given custom data.

tags
string

Field to store tags that belong to this record

tcVariableName
string

Variable name for the tag commander data layer, if the request selects it as a transmission method

tealiumVariableName
string

Variable name for the Tealium, if the request selects it as a transmission method

type
enum<string>

Type of data to retrieve

Available options:
BOOLEAN,
COUNT_LIST,
LIST,
NUMBER,
STRING,
UNIQUE

Response

OK

method
enum<string>
required

Method for transmitting a custom data

Available options:
ADOBE_ANALYTICS,
CLIENT,
CUSTOM_CODE,
GTM,
SDK,
TC,
TEALIUM
name
string
required

Name of the custom data

siteId
integer<int64>
required

ID of the project this record belongs

adobeAnalyticsVariableName
string

Variable name of the Adobe Analytics

advancedProposedValues
string

Enables to set values for targeting conditions in the form of a JS table

createdById
integer<int64>
read-only

Account ID of the creator of the custom data

customEvalCode
string

Custom code that runs

dateCreated
string<date-time>
read-only

Date and time of record creation

dateModified
string<date-time>
read-only

Date and time of record modification

description
string

Description of the custom data

format
enum<string>

Custom data value format

Available options:
BOOLEAN,
NUMBER,
STRING
gtmVariableName
string

Variable name of the Google Tag Manager

id
integer<int64>
read-only

Unique ID of the custom data.

index
integer<int32>
read-only
isConstant
boolean

Indicates if the custom data is a constant

isFiltrableVentilable
boolean

Indicates if Kameleoon should filter custom data and mark it as available for breakdown

isLearnable
boolean

Indicates if Kameleoon machine learning should include this data

isLocalOnly
boolean

Indicates if Kameleoon stores the custom data only on the user's device.

modificationDate
string<date-time>
deprecated
read-only

Date and time of record modification (Deprecated, use dateModified instead)

siteCode
string
read-only

System generated unique code to identify a website.
This is an optional field that the request body includes

tags
string

Tags that belong to this record

tcVariableName
string

Name of the tag commander data layer, if the request selects it as a transmission method

tealiumVariableName
string

Name of the Tealium, if the request selects it as a transmission method

type
enum<string>

Custom data type. Custom data can appear as a single value (UNIQUE), or a list of values (LIST), or a countable list of values (COUNT_LIST)

Available options:
COUNT_LIST,
LIST,
UNIQUE